- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# tree< T, tree_node_allocator >::fixed_depth_iterator Class Reference

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::fixed_depth_iterator

Iterator which traverses only the nodes at a given depth from the root.

Definition at line 198 of file tree.hh.

The documentation for this class was generated from the following file:

- tree.hh